Firefox "libflashplayer.so" non funziona a dovere

6 risposte [Ultimo contenuto]
Ritratto di rufus
rufus
(Monster)
Offline
Monster
Iscritto: 06/04/2005
Messaggi: 255

Ciao come da oggetto, ho un problema con il plugins di Firefox e precisamente la libflashplayer.so. Anche se questo plugins è installato. da un po di tempo non riesco più a visualizzare i video e tutto quello che si trova nei siti sotto forma di Flash.
Ho installato il plugins "flashplayer-mozilla", ho provato anche con "flashplugin-nonfree" e "browse-plugin-gnash" ma niente i maledetti flash non vengono visualizzati.
La disto che uso e la wheezy/sid

Ritratto di homeless
homeless
(Guru)
Offline
Guru
Iscritto: 21/10/2011
Messaggi: 1453

E' difficile rispondere ad un quesito formulato in questi termini, mancando elementi di dettaglio. Qual'è l'architettura che stai usando in Debian (usa il comando dpkg --print-architecture) ? Quali sono i dati di dettagli dell'installazione (usa il comando lsb_release -a) ? Qual'è esattamente l'anomalia nella resa dei contenuto flash (immagine) ? Qual'è la versione di firefox (usa la url about:) ? Stai usando iceweasel ? Qual'è la versione del plugin del flash player (usa la url about:plugins) ? Che scheda grafica utilizzi e con quali driver ? Qual'è l'esito della pagina di test del plugin (vedi http://www.adobe.com/software/flash/about/ )

Ritratto di rufus
rufus
(Monster)
Offline
Monster
Iscritto: 06/04/2005
Messaggi: 255

Ciao, si la domanda effettivamente non è stata formulata bene. Il problema che ho riscontrato da un po di tempo a questa parte e che Iceweasel non mi fa vedere più tutto ciò che riguarda flash; Fuilmati, animazioni, eccetera. Seguendo i tuoi consiglio ho effettuato i comandi che mi hai proposto ecco i log che ho ottenuto:

Citazione:

dpkg --print-architecture

Citazione:

i386


LSB Version:	core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch:core-4.1-ia32:core-4.1-noarch:cxx-3.0-ia32:cxx-3.0-noarch:cxx-3.1-ia32:cxx-3.1-noarch:cxx-3.2-ia32:cxx-3.2-noarch:cxx-4.0-ia32:cxx-4.0-noarch:cxx-4.1-ia32:cxx-4.1-noarch:desktop-3.1-ia32:desktop-3.1-noarch:desktop-3.2-ia32:desktop-3.2-noarch:desktop-4.0-ia32:desktop-4.0-noarch:desktop-4.1-ia32:desktop-4.1-noarch:graphics-2.0-ia32:graphics-2.0-noarch:graphics-3.0-ia32:graphics-3.0-noarch:graphics-3.1-ia32:graphics-3.1-noarch:graphics-3.2-ia32:graphics-3.2-noarch:graphics-4.0-ia32:graphics-4.0-noarch:graphics-4.1-ia32:graphics-4.1-noarch:languages-3.2-ia32:languages-3.2-noarch:languages-4.0-ia32:languages-4.0-noarch:languages-4.1-ia32:languages-4.1-noarch:multimedia-3.2-ia32:multimedia-3.2-noarch:multimedia-4.0-ia32:multimedia-4.0-noarch:multimedia-4.1-ia32:multimedia-4.1-noarch:printing-3.2-ia32:printing-3.2-noarch:printing-4.0-ia32:printing-4.0-noarch:printing-4.1-ia32:printing-4.1-noarch:qt4-3.1-ia32:qt4-3.1-noarch:security-4.0-ia32:security-4.0-noarch:security-4.1-ia32:security-4.1-noarch
Distributor ID:	Debian
Description:	Debian GNU/Linux testing (wheezy)
Release:	testing
Codename:	wheezy

Citazione:

about:plugins

Citazione:

File: libflashplayer.so
Versione:
Shockwave Flash 11.2 r202

Come scheda grafica ho una radeon che in realtà dalla Debian Stable 6, non ha funzionato mai bene comunque ecco un pezzo del mio dmesg

[    7.600382] [drm] radeon: cp idle (0x02000603)
[    7.603080] [drm] Loading R200 Microcode
[    7.603257] platform radeon_cp.0: firmware: requesting radeon/R200_cp.bin
[    7.610703] radeon_cp: Failed to load firmware "radeon/R200_cp.bin"
[    7.610768] [drm:r100_cp_init] *ERROR* Failed to load firmware!
[    7.610825] radeon 0000:01:00.0: failled initializing CP (-2).
[    7.610879] radeon 0000:01:00.0: Disabling GPU acceleration

Spero tu possa aiutarmi.

Ritratto di homeless
homeless
(Guru)
Offline
Guru
Iscritto: 21/10/2011
Messaggi: 1453

Potrebbe non essere risolutivo, ma - come risulta dal log relativo alla tua scheda grafica - la scheda grafica non è correttamente inizializzata; installa il pacchetto firmware-linux-nonfree (http://packages.debian.org/squeeze/firmware-linux-nonfree) dopo aver opportunamente configurato /etc/apt/sources.list per aggiungere il repository non-free. Quindi riavvia e verifica se l'anomalia è risolta.

Inoltre, se non erro, non hai indicato:
1) se utilizzi firefox o iceweasel ed, in particolare, quale versione utilizzi
2) qual'è l'output della pagina di test (http://www.adobe.com/software/flash/about/)
3) la copia dello schermo di una pagina che ritieni non sia stata resa correttamente

Ritratto di pandaubuntu
pandaubuntu
(Geek)
Offline
Geek
Iscritto: 04/05/2012
Messaggi: 114

ho lo stesso problema su wheezy, non funziona correttamente il flash-plugin, ma specifico che non è solo su firefox ma chromium.

p.s. ma firefox è scaricato da dei repository o spacchettato da un tar.gz (scaricato dal sito di mozilla)?

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2918

Si può sempre scaricare il plugin dal sito Adobe: alla fine è un unico file libflashplayer.so che va messo in /usr/lib/mozilla/plugins (ATTENZIONE: vado a memoria! potrebbe essere firefox o iceweasel invece che mozilla).

Ritratto di homeless
homeless
(Guru)
Offline
Guru
Iscritto: 21/10/2011
Messaggi: 1453

pandaubuntu ha scritto:

ho lo stesso problema su wheezy


@pandaubuntu: quando da te sopra riferito mi risulta non essere riproducibile, ad esempio, usando Debian Testing con il pacchetto flashplugin-nonfree e usando iceweasel (la versione di firefox distribuita con il progetto Debian).